## ev-application ev-application |

## Functions

gboolean | ev_application_load_session ()
void | ev_application_open_window ()
void | ev_application_open_uri_at_dest ()
void | ev_application_open_uri_list ()
gboolean | ev_application_has_window ()
const gchar * | ev_application_get_uri ()
GObject * | ev_application_get_media_keys ()
const gchar * | ev_application_get_dot_dir ()

## Types and Values

| EvApplication
| EvApplicationClass
#define | EV_APP

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── EvApplication

## Implemented Interfaces

EvApplication implements GActionGroup and GActionMap.

## Description

## Functions

### ev_application_load_session ()

    gboolean
    ev_application_load_session (EvApplication *application);

### ev_application_open_window ()

    void
    ev_application_open_window (EvApplication *application,
                                GdkScreen *screen,
                                guint32 timestamp);

Creates a new window

#### Parameters

application | The instance of the application. |
timestamp | Current time value. |

### ev_application_open_uri_at_dest ()

    void
    ev_application_open_uri_at_dest (EvApplication *application,
                                     const char *uri,
                                     GdkScreen *screen,
                                     EvLinkDest *dest,
                                     EvWindowRunMode mode,
                                     const gchar *search_string,
                                     guint32 timestamp);

#### Parameters

application | The instance of the application. |
uri | The uri to be opened. |
screen | Thee screen where the link will be shown. |
dest | The EvLinkDest of the document. |
mode | The run mode of the window. |
timestamp | Current time value. |

### ev_application_open_uri_list ()

    void
    ev_application_open_uri_list (EvApplication *application,
                                  GSList *uri_list,
                                  GdkScreen *screen,
                                  guint32 timestamp);

### ev_application_has_window ()

    gboolean
    ev_application_has_window (EvApplication *application);

### ev_application_get_uri ()

    const gchar *
    ev_application_get_uri (EvApplication *application);

### ev_application_get_media_keys ()

    GObject *
    ev_application_get_media_keys (EvApplication *application);

It gives you access to the media player keys handler object.

#### Parameters

application | The instance of the application. |

#### Returns

A EvMediaPlayerKeys.

### ev_application_get_dot_dir ()

    const gchar *
    ev_application_get_dot_dir (EvApplication *application,
                                gboolean create);

## Types and Values

### EvApplication

    typedef struct _EvApplication EvApplication;

### EvApplicationClass

    typedef struct _EvApplicationClass EvApplicationClass;

### EV_APP

    #define EV_APP					((EvApplication *) g_application_get_default ())